com.ibm.openpages.api.respview

## Enum RespViewRuleConditionType

- java.lang.Object
- - java.lang.Enum<RespViewRuleConditionType>
  - - com.ibm.openpages.api.respview.RespViewRuleConditionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RespViewRuleConditionType>

      public enum RespViewRuleConditionType
      extends java.lang.Enum<RespViewRuleConditionType>

  Represents the type of the condition for responsive view identification rule

  Since:
    7.4.0.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `conditions` Represents grouping of the conditions
    `currentUser` Represents a condition to check if a field value is the logged in user, or the logged in user is a member of the field value group
    `enumerated` Represents a condition to match the enumerated string value(s)
    `groups` Represents a condition to match a field value to group(s)
    `inGroups` Represents a condition to check if a field value to be a member of group(s)
    `parentTypes` Represents a condition to match the intended parent object type of a creation view
    `profiles` Represents a condition to match the current object profile of the user
    `users` Represents a condition to match a field value to user(s)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isFieldCondition()`
    `static RespViewRuleConditionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RespViewRuleConditionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### conditions

          public static final RespViewRuleConditionType conditions

      Represents grouping of the conditions

    - #### users

          public static final RespViewRuleConditionType users

      Represents a condition to match a field value to user(s)

    - #### groups

          public static final RespViewRuleConditionType groups

      Represents a condition to match a field value to group(s)

    - #### inGroups

          public static final RespViewRuleConditionType inGroups

      Represents a condition to check if a field value to be a member of group(s)

    - #### currentUser

          public static final RespViewRuleConditionType currentUser

      Represents a condition to check if a field value is the logged in user, or the logged in user is a member of the field value group

    - #### enumerated

          public static final RespViewRuleConditionType enumerated

      Represents a condition to match the enumerated string value(s)

    - #### profiles

          public static final RespViewRuleConditionType profiles

      Represents a condition to match the current object profile of the user

    - #### parentTypes

          public static final RespViewRuleConditionType parentTypes

      Represents a condition to match the intended parent object type of a creation view

  - ### Method Detail

    - #### values

          public static RespViewRuleConditionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RespViewRuleConditionType c : RespViewRuleConditionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RespViewRuleConditionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isFieldCondition

          public boolean isFieldCondition()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.